Overview
POST
/content/feedbackcontentCreate feedback
Create a record in feedback.
Auth: bearerAuth — calls run as the authenticated user.
Request body
application/json · optional
- deletedAtoptionalstring?
- ecosystemIdoptionalstring
- userEmailstring
- categorystring
- subjectstring
- bodystring
- platformstring
- appVersionoptionalstring
- osVersionoptionalstring
- deviceInfooptionalstring
- statusoptionalstring
- adminNotesoptionalstring
Example
{
"deletedAt": "string",
"ecosystemId": "string",
"userEmail": "string",
"category": "string",
"subject": "string",
"body": "string",
"platform": "string",
"appVersion": "string",
"osVersion": "string",
"deviceInfo": "string",
"status": "string",
"adminNotes": "string"
}Responses
201
feedback
- idstring
- customerIdstring
- deletedAtstring?
- ecosystemIdstring
- userEmailstring
- categorystring
- subjectstring
- bodystring
- platformstring
- appVersionstring
- osVersionstring
- deviceInfostring
- statusstring
- adminNotesstring
- createdAtstring
- updatedAtstring
Example
{
"id": "string",
"customerId": "string",
"deletedAt": "string",
"ecosystemId": "string",
"userEmail": "string",
"category": "string",
"subject": "string",
"body": "string",
"platform": "string",
"appVersion": "string",
"osVersion": "string",
"deviceInfo": "string",
"status": "string",
"adminNotes": "string",
"createdAt": "string",
"updatedAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/content/feedback" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"deletedAt": "string",
"ecosystemId": "string",
"userEmail": "string",
"category": "string",
"subject": "string",
"body": "string",
"platform": "string",
"appVersion": "string",
"osVersion": "string",
"deviceInfo": "string",
"status": "string",
"adminNotes": "string"
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/content/feedback", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"deletedAt\": \"string\",\n \"ecosystemId\": \"string\",\n \"userEmail\": \"string\",\n \"category\": \"string\",\n \"subject\": \"string\",\n \"body\": \"string\",\n \"platform\": \"string\",\n \"appVersion\": \"string\",\n \"osVersion\": \"string\",\n \"deviceInfo\": \"string\",\n \"status\": \"string\",\n \"adminNotes\": \"string\"\n}",
});
const data = await res.json();